Javascript Forms Forms for Javascript

You are looking at v3 demos, switch to Mobiscroll 4?

Forms for Javascript

light
dark

Change the theme setting here

Forms - Validation

Change demo
Validation

Mobiscroll does not have built in validation mechanism, but provides error state styling. Use the mbsc-err css class on the form element's container and the mbsc-err-msg css class on the error message.

mobiscroll.settings = {
    lang: ' ',
    theme: ' ',
    themeVariant: ' '
};

var date, select, widget,
    now = new Date(),
    form = document.getElementById("demo");

date = mobiscroll.date('#md-birthday', {
    defaultValue: new Date(now.getFullYear() - 18, 0, 1),
    min: new Date(now.getFullYear() - 100, now.getMonth(), now.getDate()),
    max: new Date(now.getFullYear() - 13, now.getMonth(), now.getDate())
});

select = mobiscroll.select('#md-country', {
    group: true,
    maxWidth: [40, 260],
    width: [40, 235],
    placeholder: 'Country'
});

mobiscroll.numpad('#md-phone', {
    display: 'bottom',
    cssClass: 'md-phone-num',
    template: '{plus}ddddddddddd',
    maxLength: 14,
    allowLeadingZero: true,
    leftKey: {
        text: '+',
        value: '',
        variable: 'plus:+'
    },
    formatValue: function (numbers, vars, inst) {
        var newVal = '';

        if (vars.plus) {
            newVal += vars.plus;
        }

        newVal += numbers.join().replace(/,/g, '');

        return newVal;
    },
    parseValue: function (value) {
        if (value) {
            return value.toString().split('');
        }
        return [];
    },
    validate: function (event, inst) {
        var disabled = [],
            invalid = false;

        if (inst.isVisible()) {
            inst._markup[0].querySelector('.mbsc-np-dsp').innerHTML = inst.settings.formatValue(event.values, event.variables, inst) || ' '
        }

        return {
            invalid: invalid,
            disabled: disabled
        };
    }
});

widget = mobiscroll.widget('#demo-success', {
    display: 'center',
    focusOnClose: false,
    buttons: [{
        text: 'Log in',
        handler: 'set'
    }]
});

form.noValidate = true;
form.onsubmit = validateForm;

function validateForm(event) {
    event.preventDefault();

    var parent,
        errorMsg,
        form = (event.target ? event.target : event.srcElement),
        f, field, formvalid = true;

    for (f = 0; f < form.elements.length; f++) {

        field = form.elements[f];
        parent = field.parentNode;
        errorMsg = parent.querySelector('.mbsc-err-msg');

        if (field.validity.valid) {
            parent.parentNode.classList.remove('mbsc-err');

            if (errorMsg) {
                parent.removeChild(errorMsg);
            }
        } else {
            if (!errorMsg) {
                errorMsg = document.createElement('span');
                errorMsg.className = 'mbsc-err-msg';
                errorMsg.innerHTML = 'This field is required';
                parent.appendChild(errorMsg);
            }

            parent.parentNode.classList.add('mbsc-err');
            formvalid = false;
        }

    }

    if (formvalid) {
        widget.show();
    }

    return formvalid;
}
<form id="demo" style="display:none" mbsc-form>
    <div class="mbsc-form-group">
        <div class="mbsc-form-group-title">Sign Up</div>

        <label>
            <input name="username" type="text" placeholder="Username" minlength="2" required data-icon="user4">
        </label>

        <label>
            <input name="email" type="email" placeholder="Email" required data-icon="ion-ios7-email">
        </label>

        <label>
            <input name="password" type="password" placeholder="Password" minlength="6" required data-icon="lock2" data-password-toggle="true">
        </label>
    </div>
    <div class="mbsc-form-group">
        <div class="mbsc-form-group-title">Personal data</div>

        <label>
            <input name="firstname" type="text" placeholder="First name" required data-icon="user4">
        </label>

        <label>
            <input name="lastname" type="text" placeholder="Last name" required data-icon="empty">
        </label>

        <label>
            <input name="birthday" id="md-birthday" type="text" placeholder="Birthday" required data-icon="calendar"> 
        </label>

        <label>
            <input name="phone" id="md-phone" type="tel" placeholder="Phone" required data-icon="phone">
        </label>

        <label>
            <select name="country" id="md-country" required data-icon="location">
                <optgroup label="A">
                    <option selected disabled></option>
                    <option value="1">Afganistan</option>
                    <option value="2">Albania</option>
                    <option value="3">Algeria</option>
                    <option value="4">Argentina</option>
                    <option value="5">Australia</option>
                    <option value="6">Austria</option>
                    <option value="7">Azerbaijan</option>
                </optgroup>
                <optgroup label="B">
                    <option value="8">Bahamas</option>
                    <option value="9">Bahrain</option>
                    <option value="10">Bolivia</option>
                    <option value="11">Brazil</option>
                    <option value="12">Bulgaria</option>
                </optgroup>
                <!-- Showing partial data. Download full source. -->
            </select>
        </label>

        <label>
            <input name="address" type="text" placeholder="Address" data-icon="empty">
        </label>

        <label>
            <input name="company" type="text" placeholder="Company" data-icon="office">
        </label>

        <label>
            <input name="title" type="text" placeholder="Title" data-icon="empty">
        </label>

        <label>
            <textarea name="about" placeholder="About me" data-icon="line-note"></textarea>
        </label>

        <label>
            <input type="text" placeholder="Website" data-icon="globe">
        </label>
    </div>
    <div class="mbsc-form-group">
        <div class="mbsc-form-group-title">Gender</div>

        <label>
            Male
            <input type="radio" name="gender" checked>
        </label>

        <label>
            Female
            <input type="radio" name="gender">
        </label>
    </div>
    <div class="mbsc-form-group">
        <div class="mbsc-form-group-title">Settings</div>

        <label>
            Send me marketing e-mail
            <input data-role="switch" name="news" value="0" type="checkbox">
        </label>
    </div>
    <div class="mbsc-form-group">
        <div class="mbsc-form-group-title">E-mail Categories</div>

        <label>
            Baby
            <input name="cat1" type="checkbox">
        </label>
        <label>
            Beauty
            <input name="cat2" type="checkbox">
        </label>
        <label>
            Books
            <input name="cat3" type="checkbox">
        </label>
        <label>
            Clothing & Accessories
            <input name="cat4" type="checkbox">
        </label>
        <label>
            Computer & Accessories
            <input name="cat5" type="checkbox">
        </label>
        <label>
            Electronics
            <input name="cat6" type="checkbox">
        </label>
    </div>
    <div class="mbsc-form-group mbsc-btn-group-block">
        <button data-icon="checkmark" type="submit">Sign Up</button>
    </div>
</form>

<div id="md-success" style="display:none;">
    <h3>Thank you for registering</h3>
    <p>You have successfully signed up as a user!</p>
</div>

Forms - Create account

Change demo
Create account
Javascript Signup screen with name, email and password and phone number fields. Plain JS api for usage everywhere.

Forms - Sign up

Change demo
Sign up
Javascript Signup and register form with name, email and password fields, featuring framework specific validation. Plain JS api for usage everywhere.

Forms - Log in

Change demo
Log in
Javascript Login form with email and password fields, forgot password link and framework specific validation. Plain JS api for usage everywhere.

Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.

Customize & try demos locally
Sign in or start your free trial

What framework are you using?

Javascript
jQuery
AngularJS
Angular
React
Other
Ionic Angular
Email address

Introducing the next generation of Mobiscroll

The Mobiscroll 5 Beta 4 includes the brand new Scheduler, Agenda and Event calendar, Date, time, calendar and Range picker components.

We’ll be gradually adding more components and functionality. If you want to give the new version a go, you can check them out below.

Other highlights
  • Redesigned event calendar, scheduler with drag & drop
  • A new way of working with recurring events
  • Updated themes with dynamic dark mode
  • New date & time pickers
  • Range picker with advanced customization
  • Dynamic options with global updates
Read the full blogpost
Get in touch
Customize & try this demo locally
Sign in or start your free trial

We have to set you up with a trial for this to run 👍

Email address

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic 

You will be prompted to log in with your mobiscroll account. Set your password here

Create an Ionic 3 & Mobiscroll starter with the CLI:

$ mobiscroll start ionic myStarter

Run this command for Ionic 4 & Mobiscroll starter:

$ mobiscroll start ionic-angular myStarter

Step 3.Copy the code into your app.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic 

You will be prompted to log in with your mobiscroll account. Set your password here

Run this command for Ionic 5 & React Mobiscroll starter:

$ mobiscroll start react-ionic myStarter

Step 3.Copy the code into your app.

Copy TSX
Copy CSS

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Customize & try demos locally
How would you like to do it?
Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Angular project

Copy command
$ mobiscroll config angular 

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ng serve in the root folder of your app 🎉

Copy command
$ ng serve

And voilà, everything should be running smoothly.

Thanks for downloading
Try and customize the app locally

Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ionic serve

Let us know if we can help and enjoy!

Need to update your password?
Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

Please extract the zip file and simply open the demos in your favorite browser. For instructions on how to install Mobiscroll in your project follow this guide.


Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Please extract the zip file and run the project like any Angular CLI app. Make sure to have the Angular CLI installed.

For installation and usage, extract the zip file and open a terminal window and follow these steps.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ng serve --open

Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The easiest way to get started is to follow the installation steps and by grabbing the code directly from the demo page. Let us know if we can help and enjoy! 👍

You'll find a fully functional Kitchen-sink Ionic app in the zip file.

Thanks for downloading
Customize demos locally

The demos are using Babel's in-browser ES6 and JSX transformer.

Please extract the zip file and open the demos in your browser.
For instructions on how to install Mobiscroll in your project follow this guide.

Let us know if we can help and enjoy!

Demos
Theme Select
Mobiscroll
Mobiscroll Dark
Material
Material Dark
iOS
iOS Dark
Android Holo
Android Holo Light
Windows Phone
Windows Phone Light
Language Locale
See other demos and change options
Theme
Locale
See other demos

React Forms
Forms for React
Forms for React
Forms for React
Learn about Forms
Form components you’ll need for building great looking mobile and desktop apps. Shipping 15 distinct elements ranging from inputs to layout helpers.
With useful features for a refined UX, including the following elements:
- Single and multiline text
- Select styling
- Buttons
- Segmented control
- Checkbox and checklist
- Radio buttons
- Switch
- Rating
- Stepper
- Page & typography
- Slider
- Progress
- Alerts
- Notifications
- Notes
Forms demos available for other frameworks.
Viewing demos & code for
Forms - Mobile form
class FormsDemo extends React.Component {
render() {
return (
<mobiscroll.Form theme="" lang="">
<mobiscroll.FormGroup>
<mobiscroll.FormGroupTitle>User Data</mobiscroll.FormGroupTitle>
<mobiscroll.Input placeholder="First Name">First Name</mobiscroll.Input>
<mobiscroll.Input placeholder="Last Name">Last Name</mobiscroll.Input>
<mobiscroll.Input placeholder="User Name">User Name</mobiscroll.Input>
<mobiscroll.Input placeholder="Company Name">Company</mobiscroll.Input>
<mobiscroll.Input placeholder="Email Address">Email</mobiscroll.Input>
</mobiscroll.FormGroup>
<mobiscroll.FormGroup>
<mobiscroll.FormGroupTitle>Phone Number</mobiscroll.FormGroupTitle>
<mobiscroll.Input placeholder="Home">Home</mobiscroll.Input>
<mobiscroll.Input placeholder="Business">Business</mobiscroll.Input>
<mobiscroll.Input placeholder="Fax">Fax</mobiscroll.Input>
</mobiscroll.FormGroup>
</mobiscroll.Form>
);
}
}
<div id="content"></div>
Forms - Desktop form
class FormsDemo extends React.Component {
render() {
return (
<mobiscroll.Form inputStyle="box"theme="" lang="">
<div className="mbsc-grid mbsc-grid-fixed">
<mobiscroll.FormGroup>
<div className="mbsc-row mbsc-justify-content-center">
<div className="mbsc-col-md-10 mbsc-col-xl-8 mbsc-form-grid">
<mobiscroll.FormGroupTitle>Multiple columns grid</mobiscroll.FormGroupTitle>
<div className="mbsc-row">
<div className="mbsc-col-md-6 mbsc-col-12">
<mobiscroll.Input type="text" placeholder="Email" inputStyle="box" labelStyle="floating">Email</mobiscroll.Input>
</div>
<div className="mbsc-col-md-6 mbsc-col-12">
<mobiscroll.Input type="password" placeholder="Password" passwordToggle="true" inputStyle="box" labelStyle="floating">Password</mobiscroll.Input>
</div>
</div>
<div className="mbsc-row">
<div className="mbsc-col-12">
<mobiscroll.Input type="text" placeholder="Address" inputStyle="box" labelStyle="floating">Address</mobiscroll.Input>
</div>
</div>
<div className="mbsc-row">
<div className="mbsc-col-md-6 mbsc-col-12">
<mobiscroll.Input type="text" placeholder="City" inputStyle="box" labelStyle="floating">City</mobiscroll.Input>
</div>
<div className="mbsc-col-md-4 mbsc-col-6">
<mobiscroll.Dropdown label="State" inputStyle="box" labelStyle="floating">
<option value="Alabama">Alabama</option>
<option value="Alaska">Alaska</option>
<option value="Arizona">Arizona</option>
<option value="Arkansas">Arkansas</option>
<option value="California">California</option>
<option value="Colorado">Colorado</option>
<option value="Connecticut">Connecticut</option>
<option value="Delaware">Delaware</option>
<option value="Florida">Florida</option>
<option value="Georgia">Georgia</option>
<option value="Hawaii">Hawaii</option>
<option value="Idaho">Idaho</option>
<option value="Illinois Indiana">Illinois Indiana</option>
<option value="Iowa">Iowa</option>
<option value="Kansas">Kansas</option>
<option value="Kentucky">Kentucky</option>
<option value="Louisiana">Louisiana</option>
<option value="Maine">Maine</option>
<option value="Maryland">Maryland</option>
<option value="Massachusetts">Massachusetts</option>
<option value="Michigan">Michigan</option>
<option value="Minnesota">Minnesota</option>
<option value="Mississippi">Mississippi</option>
<option value="Missouri">Missouri</option>
<option value="Montana Nebraska">Montana Nebraska</option>
<option value="Nevada">Nevada</option>
<option value="New Hampshire">New Hampshire</option>
<option value="New Jersey">New Jersey</option>
<option value="New Mexico">New Mexico</option>
<option value="New York">New York</option>
<option value="North Carolina">North Carolina</option>
<option value="North Dakota">North Dakota</option>
<option value="Ohio">Ohio</option>
<option value="Oklahoma">Oklahoma</option>
<option value="Oregon">Oregon</option>
<option value="Pennsylvania Rhode Island">Pennsylvania Rhode Island</option>
<option value="South Carolina">South Carolina</option>
<option value="South Dakota">South Dakota</option>
<option value="Tennessee">Tennessee</option>
<option value="Texas">Texas</option>
<option value="Utah">Utah</option>
<option value="Vermont">Vermont</option>
<option value="Virginia">Virginia</option>
<option value="Washington">Washington</option>
<option value="West Virginia">West Virginia</option>
<option value="Wisconsin">Wisconsin</option>
<option value="Wyomin">Wyomin</option>
</mobiscroll.Dropdown>
</div>
<div className="mbsc-col-md-2 mbsc-col-6">
<mobiscroll.Input type="text" placeholder="Zip" inputStyle="box" labelStyle="floating">Zip</mobiscroll.Input>
</div>
</div>
<mobiscroll.Button>Sign in</mobiscroll.Button>
</div>
</div>
</mobiscroll.FormGroup>
<mobiscroll.FormGroup>
<div className="mbsc-row mbsc-justify-content-center">
<div className="mbsc-col-sm-9 mbsc-col-md-7 mbsc-col-xl-5">
<mobiscroll.FormGroup inset>
<mobiscroll.FormGroupTitle>Single column grid</mobiscroll.FormGroupTitle>
<mobiscroll.Input placeholder="First Name">First Name</mobiscroll.Input>
<mobiscroll.Input placeholder="Last Name">Last Name</mobiscroll.Input>
<mobiscroll.Input placeholder="User Name">User Name</mobiscroll.Input>
<mobiscroll.Input placeholder="Company Name">Company</mobiscroll.Input>
<mobiscroll.Input placeholder="Email Address">Email</mobiscroll.Input>
</mobiscroll.FormGroup>
</div>
</div>
</mobiscroll.FormGroup>
</div>
</mobiscroll.Form>
);
}
}
<div id="content"></div>
Forms - Validation
mobiscroll.settings = {
theme: '',
lang: ''
};
class FormsDemo extends React.Component {
constructor(props) {
super(props);
this.state = {
formErrors: {},
formValues: {
username: '',
email: '',
password: '',
gender: '',
bio: ''
}
};
}
componentWillMount() {
this.initValidation();
}
onFormChange = (key, event) => {
var valueUpd = {};
valueUpd[key] = {$set: event.target.value};
var errorUpd = this.validateField(key, event.target.value);
this.setState(React.addons.update(this.state, { formValues: valueUpd, formErrors: errorUpd }));
}
render() {
var now=new Date();
return (
<div>
<mobiscroll.Form noValidate={true}>
<mobiscroll.FormGroup>
<mobiscroll.FormGroupTitle>Sign Up</mobiscroll.FormGroupTitle>
<mobiscroll.Input
value={this.state.formValues.username}
onChange={this.onFormChange.bind(this, "username")}
valid={!this.state.formErrors.username}
errorMessage={this.state.formErrors.username}
placeholder="Username"
icon="user4" />
<mobiscroll.Input
type="email"
value={this.state.formValues.email}
onChange={this.onFormChange.bind(this, 'email')}
valid={!this.state.formErrors.email}
errorMessage={this.state.formErrors.email}
placeholder="Email"
icon="ion-ios7-email" />
<mobiscroll.Input
type="password"
value={this.state.formValues.password}
onChange={this.onFormChange.bind(this, "password")}
valid={!this.state.formErrors.password}
errorMessage={this.state.formErrors.password}
placeholder="Password"
icon="lock2"
passwordToggle={true} />
<mobiscroll.Dropdown
value={this.state.formValues.gender}
onChange={this.onFormChange.bind(this, "gender")}
valid={!this.state.formErrors.gender}
errorMessage={this.state.formErrors.gender}
icon="user4">
<option value="">Please select</option>
<option value="female">Female</option>
<option value="male">Male</option>
</mobiscroll.Dropdown>
<mobiscroll.Textarea
value={this.state.formValues.bio}
onChange={this.onFormChange.bind(this, "bio")}
valid={!this.state.formErrors.bio}
errorMessage={this.state.formErrors.bio}
placeholder="About me"
icon="line-note" />
</mobiscroll.FormGroup>
<mobiscroll.FormGroup className="mbsc-btn-group-block">
<mobiscroll.Button onClick={this.validateAllFields} icon="checkmark">Sign Up</mobiscroll.Button>
</mobiscroll.FormGroup>
</mobiscroll.Form>
<mobiscroll.Popup
ref="success"
focusOnClose={false}
buttons={[{
text: 'Log in',
handler: 'set'
}]}
>
<h3>Thank you for registering</h3>
<p>You have successfully signed up as a user!</p>
</mobiscroll.Popup>
</div>
);
}
// set up validation
initValidation = () => {
this.validationSettings = {
username: [this.requiredCheck, this.minlengthCheck.bind(this, 2)],
email: [this.requiredCheck, this.emailCheck],
password: [this.requiredCheck, this.minlengthCheck.bind(this, 6)],
gender: [this.requiredCheck],
bio: [this.requiredCheck, this.minlengthCheck.bind(this, 20)],
}
}
// validation
validateField = (key, value) => {
var invalid = false;
if (this.validationSettings[key]!== undefined) {
for(var i = 0; i < this.validationSettings[key].length; i++) { // interate on validators
var validator = this.validationSettings[key][i];
invalid = invalid || validator.call(this, value);
}
}
var errorUpd = {};
errorUpd[key] = {$set: invalid};
return errorUpd;
}
validateAllFields = () => {
var errorsUpd = {},
allValid = true;
for (var key in this.state.formValues) {
errorsUpd[key] = this.validateField(key, this.state.formValues[key])[key];
allValid = allValid && !errorsUpd[key].$set;
}
if (allValid) {
this.refs.success.instance.show();
}
this.setState(React.addons.update(this.state, {formErrors: errorsUpd}));
}
// validation check functions
requiredCheck = (value) => {
if (!!value) {
return false;
} else {
return 'This field is required';
}
}
minlengthCheck = (minlength, value) => {
if (!value || value.length < minlength) {
return 'It should be at least ' + minlength + ' characters long';
}
else {
return false;
}
}
emailCheck = (value) => {
if (/^\w+@\w+\.\w{2,3}$/.test(value)) {
return false;
} else {
return 'This is not a valid email';
}
}
}
<div id="content"></div>
Forms - Create account
class FormsDemo extends React.Component {
render() {
return (
<div>
<mobiscroll.Form
theme=""
lang=""
className="md-create-account"
>
<div className="md-chart-pic"></div>
<div className="md-cac-title mbsc-padding">
<h4>Great news, your traffic <br /> is already being tracked</h4>
<h4>Continue by creating a new account</h4>
</div>
<div className="md-cac-cont">
<mobiscroll.FormGroup inset>
<mobiscroll.Input name="username" placeholder="Name" />
<mobiscroll.Input name="email" type="email" placeholder="Email address" />
<mobiscroll.Input name="password" type="password" placeholder="Password" passwordToggle={true} />
</mobiscroll.FormGroup>
<mobiscroll.FormGroup inset className="md-cac-btn">
<mobiscroll.Button block={true}>Create account</mobiscroll.Button>
<mobiscroll.Button block={true} flat={true}>I'll do it later</mobiscroll.Button>
</mobiscroll.FormGroup>
</div>
</mobiscroll.Form>
</div>
);
}
}
<div id="content"></div>
.md-create-account {
padding: 0 !important;
}
.md-create-account .md-cac-title {
text-align: center;
padding-bottom: 3em;
}
.md-create-account .md-cac-title,
.md-create-account .md-cac-cont {
padding-top: 0;
}
.md-create-account .md-cac-cont {
padding-bottom: 0;
}
.md-create-account .md-chart-pic {
background-image: url("/content/img/demos/chart@1x.png");
height: 150px;
background-repeat: no-repeat;
background-position: center;
}
@media (-webkit-min-device-pixel-ratio: 2),
(min-resolution: 144dpi) {
.md-create-account .md-chart-pic {
background: url("/Content/img/demos/chart@2x.png") no-repeat center 12px;
background-size: 109px 81px;
background-position: center;
}
}
.md-phone-num .mbsc-np-dsp {
min-height: 25px;
-webkit-box-sizing: content-box;
-moz-box-sizing: content-box;
box-sizing: content-box;
}
Forms - Sign up
class FormsDemo extends React.Component {
constructor(props) {
super(props);
this.state = {
username: '',
email: '',
password: '',
nameValid: true,
nameError: '',
emailValid: true,
emailError: '',
passValid: true,
passError: ''
};
}
changeUsername = (event) => {
var username = event.target.value,
valid = true,
error = '';
if (!username) {
username = '';
valid = false;
error = 'This field is required';
} else if (username.length < 4) {
valid = false;
error = 'Please enter at leaset 4 characters';
}
this.setState({
username: username,
nameValid: valid,
nameError: error
});
}
changeEmail = (event) => {
var email = event.target.value,
valid = true,
error: '';
if (!email) {
email = '';
valid = false;
error = 'This field is required';
} else if (!/^[a-z0-9]+@[a-z]+$/.test(email)) {
valid = false;
error = 'Please provide a valid email address';
}
this.setState({
email: email,
emailValid: valid,
emailError: error
});
}
changePassword = (event) => {
var pass = event.target.value,
valid = true,
error: '';
if (!pass) {
email = '';
valid = false;
error = 'This field is required';
} else if (pass.length < 6) {
valid = false;
error = 'Password should be at least 6 characters';
}
this.setState({
password: pass,
passValid: valid,
passError: error
});
}
validate = (event) => {
var nameEntered = !!this.state.username,
emailEntered = !!this.state.email,
passEntered = !!this.state.password;
this.setState({
nameValid: nameEntered && this.state.nameValid,
nameError: nameEntered ? this.state.nameError : 'This field is required',
emailValid: emailEntered && this.state.emailValid,
emailError: emailEntered ? this.state.emailError : 'This field is required',
passValid: passEntered && this.state.passValid,
passError: passEntered ? this.state.passError : 'This field is required'
});
}
render() {
return (
<mobiscroll.Form theme="" lang="" className="md-signup-rules" noValidate={true}>
<mobiscroll.FormGroup inset>
<mobiscroll.FormGroupTitle className="md-signup-title">Sign Up</mobiscroll.FormGroupTitle>
<mobiscroll.Input
value={this.state.username}
onChange={this.changeUsername}
error={!this.state.nameValid}
errorMessage={this.state.nameError}
placeholder="Name"
name="username" />
<mobiscroll.Input
type="email"
value={this.state.email}
onChange={this.changeEmail}
error={!this.state.emailValid}
errorMessage={this.state.emailError}
placeholder="Email"
name="email" />
<mobiscroll.Input
type="password"
value={this.state.password}
onChange={this.changePassword}
error={!this.state.passValid}
errorMessage={this.state.passError}
passwordToggle={true}
placeholder="Password"
name="password" />
</mobiscroll.FormGroup>
<mobiscroll.FormGroup inset>
<div className="mbsc-padding">
<h6 className="mbsc-desc">Use lowercase and uppercase characters </h6>
<h6 className="mbsc-desc">Length of password should be at least 6 characters</h6>
</div>
<mobiscroll.FormGroup>
<mobiscroll.Button block={true} onClick={this.validate}>Sign Up</mobiscroll.Button>
</mobiscroll.FormGroup>
</mobiscroll.FormGroup>
</mobiscroll.Form>
);
}
}
<div id="content"></div>
Forms - Log in
class FormsDemo extends React.Component {
constructor(props) {
super(props);
this.state = {
isLogin: false,
btnText: 'Sign in',
signup: "Don't have an account yet? Sign up.",
email: '',
emailValid: true,
emailError: '',
pass: '',
passValid: true,
passError: '',
submitted: false
};
}
emailChange = (event) => {
var invalid = this.validateEmail(event.target.value);
this.setState({
email: event.target.value,
emailValid: !this.state.submitted || !invalid,
emailError: invalid || ''
});
}
validateEmail = (email) => {
if (email) {
if (/[a-z]+@[a-z]+\.[a-z]+/.test(email)) {
return null;
} else {
return "Invalid email";
}
} else {
return "Email required";
}
}
passChange = (event) => {
var invalid = this.validatePass(event.target.value);
this.setState({
pass: event.target.value,
passValid: !this.state.submitted || !invalid,
passError: invalid || ''
});
}
validatePass = (pass) => {
if (pass) {
if (pass.length < 6) {
return 'At least 6 characters required';
} else {
return null;
}
} else {
return 'Password required';
}
}
signUp = (event) => {
event.preventDefault();
this.setState({
signup: this.state.isLogin ? "Don't have an account yet? Sign up." : "Already have an account?",
btnText: this.state.isLogin ? "Sign in" : "Sign up",
isLogin: !this.state.isLogin
});
}
password = (event) => {
event.preventDefault();
}
submit = (event) => {
event.preventDefault();
if (this.state.submitted && this.state.emailValid && this.state.passValid) {
mobiscroll.toast({ message: (this.state.isLogin ? 'Login' : 'Signup') + ' success!'});
} else {
var emailInvalid = this.validateEmail(this.state.email);
var passInvalid = this.validatePass(this.state.pass);
this.setState({
submitted: true,
emailValid: !emailInvalid,
emailError: emailInvalid || '',
passValid: !passInvalid,
passError: passInvalid || ''
});
}
}
render() {
return (
<mobiscroll.Form
theme=""
lang=""
className="md-login-form"
action="/login"
method='POST'
onSubmit={this.submit}
novalidate
>
<div className="md-logo micons icon-mbsc-logo"></div>
<mobiscroll.FormGroup inset>
<mobiscroll.Input type="email" name="Email" placeholder="Email" value={this.state.email} onChange={this.emailChange} valid={this.state.emailValid} errorMessage={this.state.emailError} />
<mobiscroll.Input type="password" name="Password" placeholder="Password" passwordToggle={true} icon="none" iconAlign="right" value={this.state.pass} onChange={this.passChange} valid={this.state.passValid} errorMessage={this.state.passError} />
</mobiscroll.FormGroup>
<mobiscroll.FormGroup inset className="mbsc-padding mbsc-align-center">
<a href="#" onClick={this.signUp}>{this.state.signup}</a>
<br/><br/>
<a href="#" onClick={this.password}>Forgot password?</a>
</mobiscroll.FormGroup>
<mobiscroll.FormGroup inset className="mbsc-padding">
<mobiscroll.Button type="submit" block={true}>{this.state.btnText}</mobiscroll.Button>
</mobiscroll.FormGroup>
</mobiscroll.Form>
);
}
}
<div id="content"></div>
.md-login-form .md-logo {
display: inline-block;
width: 100%;
font-size: 80px;
text-align: center;
height: 46px;
margin: 130px 0 30px 0;
color: #1c75bc;
}
Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.
Component license
Purchase component licenses if you are looking for specific funcionality.
All
Framework license
Get all 36 components, including
Framework license
Get all 36 components, including
- Use it when building with plain and simple JS
- Compatible with vanilla JS app or frameworks like Vue
- Royalty-free commercial usage
- Technical support is included with the license
- Use it with jQuery and jQuery Mobile
- Enjoy the familiar API if you already use jQuery
- Royalty-free commercial usage
- Technical support is included with the license
- Use it with Angular JS and Ionic 1
- For web and mobile apps based on Angular 1.x
- Royalty-free commercial usage
- Technical support is included with the license
- Use it with Angular 2/4/5/6/7 and Ionic 2/3/4
- Visual Studio and VS Code integration
- Royalty-free commercial usage
- Technical support is included with the license
- Use it when building with React JS
- Collection of UI components for web and mobile
- Royalty-free commercial usage
- Technical support is included with the license
Framework license
Select the development framework you are using. Get all 36 components with the license.
- Use it when building with plain and simple JS
- Compatible with vanilla JS app or frameworks like Vue
- Royalty-free commercial usage
- Technical support is included with the license
- Use it with jQuery and jQuery Mobile
- Enjoy the familiar API if you already use jQuery
- Royalty-free commercial usage
- Technical support is included with the license
- Use it with Angular JS and Ionic 1
- For web and mobile apps based on Angular 1.x
- Royalty-free commercial usage
- Technical support is included with the license
- Use it with Angular 2/4/5/6/7 and Ionic 2/3/4
- Visual Studio and VS Code integration
- Royalty-free commercial usage
- Technical support is included with the license
- Use it when building with React JS
- Collection of UI components for web and mobile
- Royalty-free commercial usage
- Technical support is included with the license
Select the framework you are interested in
Use Javascript when building with plain and simple JS.
Use jQuery when you have jQuery already included or if you are building with jQuery Mobile.
Use AngularJS when building with Angular 1.x or Ionic 1.
Use Angular when building with Angular 2/4/5/6/7 or Ionic 2/3/4.
Use it when you are building your app or website with React.
Do you need additional support seats?
The framework license comes with one support seat. ( +$50/seat )
Add the source code?
What framework are you using?
We have to set you up with a trial for this to run 👍
What framework are you using?
Step 1.Install the Mobiscroll CLI from npm
$ npm install -g @mobiscroll/cli
The CLI makes configuring your apps super simple 👍
Step 2.Run the following command in the root folder of your Ionic project
$ mobiscroll config ionic
$ mobiscroll config ionic --lite
You will be prompted to log in with your mobiscroll account. Set your password here
Create an Ionic 3 & Mobiscroll starter with the CLI:
Run this command for Ionic 4 & Mobiscroll starter:
Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.
$ npm install
$ ionic serve
Let us know if we can help and enjoy!
Your password has been changed!
Everything is set up so that you can dig in right away and start exploring.
Please extract the zip file and simply open the demos in your favorite browser.
For instructions on how to install Mobiscroll in your project
follow this guide.
Let us know if we can help and enjoy!
Please extract the zip file and run the project like any Angular CLI app.
Make sure to have the Angular CLI installed.
For installation and usage, extract the zip file and open a terminal window and follow these steps.
$ npm install
$ ng serve --open
Let us know if we can help and enjoy! 👍
Everything is set up so that you can dig in right away and start exploring.
We have set up a trial so that you can try the demos locally.
The easiest way to get started is to follow the installation steps and by
grabbing the code directly from the demo page. Let us know if we can help and enjoy!
You'll find a fully functional Kitchen-sink Ionic app in the zip file.
The demos are using Babel's in-browser ES6 and JSX transformer.
Please extract the zip file and open the demos in your browser.
For instructions on how to install Mobiscroll in your project
follow this guide.
Let us know if we can help and enjoy!

Angular and Ionic Forms Forms for Angular and Ionic Framework

You are looking at v3 demos, switch to Mobiscroll 4?

Forms for Angular and Ionic Framework

light
dark

Change the theme setting here

Forms - Validation

Change demo
Validation

There are two approaches to implement and validate forms in Angular. You can use Mobiscroll forms with both approaches. Mobiscroll takes care of styling and showing the correct message when wired up correctly.

Template driven forms

With template driven validation, we can set up the whole validation in the template of our component using directives as seen in the first part of our example. The #templateForm="ngForm" template variable will hold the FormGroup. We can later check if the form is valid through this variable.

Use required and minlength directives to make the fields required and give the password the minimum 6 charachters long rule. Use the mobiscroll components [error] and [errorMessage] attributes.

To give each error and field a proper error message, set up a message object in the component, and wire them to the proper [errorMessage] attribute.

Follow a more detailed guide from the documentation.

Reactive forms

In the case of reactive forms, the rules are defined in typescript by importing the Validators. Create a form with the FormBuilder and set up the rules.

The error messages can be set up similarily to the template driven approach and referenced in the [errorMessage] attribute.

Follow a more detailed guide from the documentation.

Are you building with Ionic framework?  Learn how to validate mobiscroll forms in ionic →
import {
    Component,
    ViewChild
} from '@angular/core';

let now = new Date();

@Component({
    selector: 'demo-app',
    templateUrl: './app.component.html'
})
export class AppComponent {
    gender: string = 'male';

    formSettings = {
        lang: ' ',
        theme: ' ',
        themeVariant: ' '
    };

    dateSettings: any = {
        defaultValue: new Date(now.getFullYear() - 18, 0, 1),
        min: new Date(now.getFullYear() - 100, now.getMonth(), now.getDate()),
        max: new Date(now.getFullYear() - 13, now.getMonth(), now.getDate())
    };

    numpadSettings: any = {
        display: 'bottom',
        cssClass: 'md-phone-num',
        template: '{plus}ddddddddddd',
        maxLength: 14,
        allowLeadingZero: true,
        leftKey: {
            text: '+',
            value: '',
            variable: 'plus:+'
        },
        formatValue: function (numbers, vars, inst) {
            var newVal = '';
            if (vars.plus) {
                newVal += vars.plus;
            }
            newVal += numbers.join().replace(/,/g, '');
            return newVal;
        },
        parseValue: function (value) {
            if (value) {
                return value.toString().split('');
            }
            return [];
        },
        validate: function (event, inst) {
            var disabled = [],
                invalid = false;
            if (inst.isVisible()) {
                inst._markup[0].querySelector('.mbsc-np-dsp').innerHTML = inst.settings.formatValue(event.values, event.variables, inst) || ' ';
            }
            return {
                invalid: invalid,
                disabled: disabled
            };
        }
    };

    selectSettings: any = {
        group: true,
        maxWidth: [40, 260],
        width: [40, 235],
        placeholder: 'Country'
    };

    widgetSettings: any = {
        theme: ' ',
        themeVariant: ' ',
        display: 'center',
        focusOnClose: false,
        buttons: [{
            text: 'Log in',
            handler: 'set'
        }]
    };

    @ViewChild('regForm')
    form: any;

    @ViewChild('thanks')
    thanksPopup: any;

    register() {
        this.submitted = true;
        if (this.form && this.form.valid && this.thanksPopup) {
            this.thanksPopup.instance.show();
        }
    };

    countries = [{
        value: null,
        disabled: true,
        text: "",
        group: "A"
    }, {
        value: "1",
        text: "Afganistan",
        group: "A"
    }, {
        value: "2",
        text: "Albania",
        group: "A"
    }, {
        value: "3",
        text: "Algeria",
        group: "A"
    }, {
        value: "4",
        text: "Argentina",
        group: "A"
    }, {
        // Showing partial data. Download full source.
    }];
}
<mbsc-form [options]="formSettings">
    <form novalidate #regForm="ngForm">
        <div class="mbsc-form-group">
            <div class="mbsc-form-group-title">Sign Up</div>
            <mbsc-input name="username" [(ngModel)]="username" #user="ngModel" [error]="user.invalid && submitted" errorMessage="At least 2 characters required" placeholder="Username" minlength="2" required icon="user4"></mbsc-input>
            <mbsc-input name="email" [(ngModel)]="email" #mail="ngModel" type="email" placeholder="Email" required icon="ion-ios7-email" [error]="mail.invalid && submitted" errorMessage="Required"></mbsc-input>
            <mbsc-input name="password" [(ngModel)]="password" #pass="ngModel" type="password" placeholder="Password" minlength="6" required icon="lock2" data-password-toggle="true" [error]="pass.invalid && submitted" errorMessage="At least 6 characters required"></mbsc-input>
        </div>
        <div class="mbsc-form-group">
            <div class="mbsc-form-group-title">Personal data</div>
            <mbsc-input name="firstname" [(ngModel)]="firstname" #fname="ngModel" placeholder="First name" required icon="user4" [error]="fname.invalid && submitted" errorMessage="Required"></mbsc-input>
            <mbsc-input name="lastname" [(ngModel)]="lastname" #lname="ngModel" placeholder="Last name" required icon="empty" [error]="lname.invalid && submitted" errorMessage="Required"></mbsc-input>
            <mbsc-input name="birthday" [(ngModel)]="birthday" #birth="ngModel" mbsc-date [mbsc-options]="dateSettings" placeholder="Birthday" required icon="calendar" [error]="birth.invalid && submitted" errorMessage="Required"></mbsc-input>
            <mbsc-input name="phone" [(ngModel)]="phone" #phoneNumber="ngModel" class="md-phone" type="tel" placeholder="Phone" required icon="phone" mbsc-numpad [mbsc-options]="numpadSettings" [error]="phoneNumber.invalid && submitted" errorMessage="Required"></mbsc-input>
            <mbsc-input name="country" icon="location" [(ngModel)]="country" #count="ngModel" mbsc-select [mbsc-data]="countries" [mbsc-options]="selectSettings" required [error]="count.invalid && submitted" errorMessage="Required"></mbsc-input>
            <mbsc-input name="address" [(ngModel)]="address" placeholder="Address" icon="empty"></mbsc-input>
            <mbsc-input name="company" [(ngModel)]="company" placeholder="Company" icon="office"></mbsc-input>
            <mbsc-input name="title" [(ngModel)]="title" placeholder="Title" icon="empty"></mbsc-input>
            <mbsc-textarea name="about" [(ngModel)]="about" placeholder="About me" icon="line-note"></mbsc-textarea>
            <mbsc-input name="site" [(ngModel)]="site" placeholder="Website" icon="globe"></mbsc-input>
        </div>
        <div class="mbsc-form-group">
            <div class="mbsc-form-group-title">Gender</div>
            <mbsc-radio-group [(ngModel)]="gender" name="gender">
                <mbsc-radio value="male">Male</mbsc-radio>
                <mbsc-radio value="female">Female</mbsc-radio>
            </mbsc-radio-group>
        </div>
        <div class="mbsc-form-group">
            <div class="mbsc-form-group-title">Settings</div>
            <mbsc-switch [(ngModel)]="sendEmail" name="sendEmail">Send me marketing e-mail</mbsc-switch>
        </div>
        <div class="mbsc-form-group">
            <div class="mbsc-form-group-title">E-mail Categories</div>
            <mbsc-checkbox [(ngModel)]="baby" name="email_baby">Baby</mbsc-checkbox>
            <mbsc-checkbox [(ngModel)]="beauty" name="email_beauty">Beauty</mbsc-checkbox>
            <mbsc-checkbox [(ngModel)]="books" name="email_books">Books</mbsc-checkbox>
            <mbsc-checkbox [(ngModel)]="cloths" name="email_cloths">Clothing & Accessories</mbsc-checkbox>
            <mbsc-checkbox [(ngModel)]="computer" name="email_computer">Computer & Accessories</mbsc-checkbox>
            <mbsc-checkbox [(ngModel)]="electronics" name="email_electronics">Electronics</mbsc-checkbox>
        </div>
        <div class="mbsc-form-group mbsc-btn-group-block">
            <mbsc-button icon="checkmark" (click)="register()" [disabled]="regForm.invalid && submitted">Sign Up</mbsc-button>
        </div>
    </form>
</mbsc-form>

<mbsc-widget [options]="widgetSettings" #thanks="mobiscroll">
    <h3>Thank you for registering</h3>
    <p>You have successfully signed up as a user!</p>
</mbsc-widget>
import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { HttpClientModule, HttpClientJsonpModule } from '@angular/common/http';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { MbscModule } from '@mobiscroll/angular';
import { AppComponent } from './app.component';

@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    BrowserModule,
    MbscModule,
    FormsModule,
    ReactiveFormsModule,
    HttpClientModule,
    HttpClientJsonpModule
  ],
  bootstrap: [AppComponent]
})
export class AppModule { }

Forms - Create account

Change demo
Create account
Angular Signup screen with name, email and password and phone number fields. For Angular 22 and Ionic 8.

Forms - Sign up

Change demo
Sign up
Angular Signup and register form with name, email and password fields, featuring framework specific validation. For Angular 22 and Ionic 8.

Forms - Log in

Change demo
Log in
Angular Login form with email and password fields, forgot password link and framework specific validation. For Angular 22 and Ionic 8.

Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.

Customize & try demos locally
Sign in or start your free trial

What framework are you using?

Javascript
jQuery
AngularJS
Angular
React
Other
Ionic Angular
Email address

Introducing the next generation of Mobiscroll

The Mobiscroll 5 Beta 4 includes the brand new Scheduler, Agenda and Event calendar, Date, time, calendar and Range picker components.

We’ll be gradually adding more components and functionality. If you want to give the new version a go, you can check them out below.

Other highlights
  • Redesigned event calendar, scheduler with drag & drop
  • A new way of working with recurring events
  • Updated themes with dynamic dark mode
  • New date & time pickers
  • Range picker with advanced customization
  • Dynamic options with global updates
Read the full blogpost
Get in touch
Customize & try this demo locally
Sign in or start your free trial

We have to set you up with a trial for this to run 👍

Email address

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic 

You will be prompted to log in with your mobiscroll account. Set your password here

Create an Ionic 3 & Mobiscroll starter with the CLI:

$ mobiscroll start ionic myStarter

Run this command for Ionic 4 & Mobiscroll starter:

$ mobiscroll start ionic-angular myStarter

Step 3.Copy the code into your app.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic 

You will be prompted to log in with your mobiscroll account. Set your password here

Run this command for Ionic 5 & React Mobiscroll starter:

$ mobiscroll start react-ionic myStarter

Step 3.Copy the code into your app.

Copy TSX
Copy CSS

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Customize & try demos locally
How would you like to do it?
Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Angular project

Copy command
$ mobiscroll config angular 

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ng serve in the root folder of your app 🎉

Copy command
$ ng serve

And voilà, everything should be running smoothly.

Thanks for downloading
Try and customize the app locally

Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ionic serve

Let us know if we can help and enjoy!

Need to update your password?
Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

Please extract the zip file and simply open the demos in your favorite browser. For instructions on how to install Mobiscroll in your project follow this guide.


Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Please extract the zip file and run the project like any Angular CLI app. Make sure to have the Angular CLI installed.

For installation and usage, extract the zip file and open a terminal window and follow these steps.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ng serve --open

Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The easiest way to get started is to follow the installation steps and by grabbing the code directly from the demo page. Let us know if we can help and enjoy! 👍

You'll find a fully functional Kitchen-sink Ionic app in the zip file.

Thanks for downloading
Customize demos locally

The demos are using Babel's in-browser ES6 and JSX transformer.

Please extract the zip file and open the demos in your browser.
For instructions on how to install Mobiscroll in your project follow this guide.

Let us know if we can help and enjoy!

Demos
Theme Select
Mobiscroll
Mobiscroll Dark
Material
Material Dark
iOS
iOS Dark
Android Holo
Android Holo Light
Windows Phone
Windows Phone Light
Language Locale
See other demos and change options
Theme
Locale
See other demos